subscriptions
Update a subscription
Update a subscription
PUT
/
api
/
subscriptions
/
{token}
Update a subscription
curl --request PUT \
--url https://api.fluid.app/api/subscriptions/{token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"id": 123,
"subscription": {
"subscription_plan_id": 123,
"customer_id": 123,
"variant_id": 123,
"address_id": 123,
"payment_method_id": 123,
"order_item_id": 123,
"status": "<string>",
"disabled": true,
"quantity": 123,
"metadata": {},
"notes": "<string>",
"next_bill_date": "2023-11-07T05:31:56Z",
"volume_rep_id": 123
}
}
'import requests
url = "https://api.fluid.app/api/subscriptions/{token}"
payload = {
"token": "<string>",
"id": 123,
"subscription": {
"subscription_plan_id": 123,
"customer_id": 123,
"variant_id": 123,
"address_id": 123,
"payment_method_id": 123,
"order_item_id": 123,
"status": "<string>",
"disabled": True,
"quantity": 123,
"metadata": {},
"notes": "<string>",
"next_bill_date": "2023-11-07T05:31:56Z",
"volume_rep_id": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
id: 123,
subscription: {
subscription_plan_id: 123,
customer_id: 123,
variant_id: 123,
address_id: 123,
payment_method_id: 123,
order_item_id: 123,
status: '<string>',
disabled: true,
quantity: 123,
metadata: {},
notes: '<string>',
next_bill_date: '2023-11-07T05:31:56Z',
volume_rep_id: 123
}
})
};
fetch('https://api.fluid.app/api/subscriptions/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Body
application/json
Subscription params. next_bill_date (YYYY-MM-DD) calculated internally if not provided. Do not pass timezone in metadata as it will be ignored.
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Update a subscription
